summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/http/Manifest1
-rw-r--r--dev-ruby/http/http-5.3.0.ebuild62
-rw-r--r--dev-ruby/pdf-inspector/pdf-inspector-1.3.0-r1.ebuild5
-rw-r--r--dev-ruby/rbs/Manifest1
-rw-r--r--dev-ruby/rbs/rbs-3.9.4.ebuild60
-rw-r--r--dev-ruby/rdoc/Manifest1
-rw-r--r--dev-ruby/rdoc/rdoc-6.11.0.ebuild102
7 files changed, 229 insertions, 3 deletions
diff --git a/dev-ruby/http/Manifest b/dev-ruby/http/Manifest
index b99c72efca8b..cdd50a74f567 100644
--- a/dev-ruby/http/Manifest
+++ b/dev-ruby/http/Manifest
@@ -1 +1,2 @@
DIST http-5.2.0.gem 85504 BLAKE2B 60391b959752c63e2f8cffcb86d6aad47fd30817f348ac6fc28ebce4fa5186f482c08db5e4413fc84eb54a9beb2682260c0c7241a76b40c3489fe7f2abcfb154 SHA512 88a813498db68827ea665c3a568ce45b0096203484564f3de18d46abdd87d2ecd756745f9f530965db306f8e37185d3d0b31959082bbe01fee5545b36b0716bd
+DIST http-5.3.0.gem 92672 BLAKE2B 23556006e7a178905a4f19e776655a7536067eb9b941e3e38245fe54b5bbdf2cf65bc00edba94ee90f7a68e53c2d2906330a4b3ac714c6370f79a8e89b647ca0 SHA512 7f197299925b1ea7673c5b11701e3c1fad0f115015ca1fe2dbe805bfec85aa506f0f175010c0a827434a26bb3e67f171f7a2fe5a37df6a1beff2005730f8c689
diff --git a/dev-ruby/http/http-5.3.0.ebuild b/dev-ruby/http/http-5.3.0.ebuild
new file mode 100644
index 000000000000..35ce8363b9fb
--- /dev/null
+++ b/dev-ruby/http/http-5.3.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md CHANGES_OLD.md README.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+inherit ruby-fakegem
+
+DESCRIPTION="An easy-to-use client library for making requests from Ruby"
+HOMEPAGE="https://github.com/httprb/http"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+
+ruby_add_rdepend "=dev-ruby/addressable-2*
+ >=dev-ruby/addressable-2.8
+ =dev-ruby/http-cookie-1*
+ >=dev-ruby/http-form_data-2.2:2
+ >=dev-ruby/llhttp-ffi-0.5.0:0/0.5"
+
+ruby_add_bdepend "
+ test? (
+ =dev-ruby/certificate_authority-1*
+ dev-ruby/rspec-its
+ dev-ruby/webrick
+ )"
+
+all_ruby_prepare() {
+ sed -e 's/git ls-files --/echo/' \
+ -e 's/git ls-files/find/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid specs that require network access
+ sed -i -e '/.persistent/,/^ end/ s:^:#:' \
+ spec/lib/http_spec.rb || die
+ sed -i -e '/with non-ASCII URLs/,/^ end/ s:^:#:' \
+ spec/lib/http/client_spec.rb || die
+
+ # Avoid spec that may fail with a running web server
+ sed -i -e '/unifies socket errors into HTTP::ConnectionError/,/^ end/ s:^:#:' spec/lib/http_spec.rb || die
+
+ # Fix spec for production release
+ sed -i -e '/User-Agent:/ s/.dev//' spec/lib/http/features/logging_spec.rb || die
+
+ # Avoid specs also failing upstream due to some certificate issue
+ sed -i -e '/context "ssl"/,/^ end/ s:^:#:' spec/lib/http_spec.rb || die
+ sed -i -e '/describe "working with SSL"/,/^ end/ s:^:#:' spec/lib/http/client_spec.rb || die
+
+ # Disable coverage
+ sed -i -e 's/require_relative ".\/support\/simplecov"//g' "spec/spec_helper.rb" || die
+}
+
+each_ruby_test() {
+ # disables dev-ruby/fuubar dep
+ CI=1 each_fakegem_test
+}
diff --git a/dev-ruby/pdf-inspector/pdf-inspector-1.3.0-r1.ebuild b/dev-ruby/pdf-inspector/pdf-inspector-1.3.0-r1.ebuild
index 0b7ca848aa7e..df03bfb91805 100644
--- a/dev-ruby/pdf-inspector/pdf-inspector-1.3.0-r1.ebuild
+++ b/dev-ruby/pdf-inspector/pdf-inspector-1.3.0-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
+USE_RUBY="ruby32 ruby33 ruby34"
RUBY_FAKEGEM_TASK_TEST=""
@@ -17,6 +17,5 @@ HOMEPAGE="https://github.com/prawnpdf/pdf-inspector"
LICENSE="|| ( Ruby GPL-2 GPL-3 )"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
-IUSE=""
ruby_add_rdepend ">=dev-ruby/pdf-reader-1.0:* <dev-ruby/pdf-reader-3:*"
diff --git a/dev-ruby/rbs/Manifest b/dev-ruby/rbs/Manifest
index 4b4c6036debb..55a24eded29d 100644
--- a/dev-ruby/rbs/Manifest
+++ b/dev-ruby/rbs/Manifest
@@ -3,3 +3,4 @@ DIST rbs-3.4.4.tar.gz 1236977 BLAKE2B 19b95e7b162714738c37d9d8f740d11e5e4694f6e2
DIST rbs-3.5.3.tar.gz 1254332 BLAKE2B fe82805b727112ecc61fc581601fbb82e0c8a18a79dd6e724b91c4c14c6cc18f89c7dca8f3d734b06c40a1ec6bde42d203aa8400ddd2b48b24a9ef660d80aa8a SHA512 8bf2645ae076562fa5197495c32ffd76472295cbe32bb49bfd5f8c4194e9444f2193d365cbc62c3b732e0b4f106563c03fba6aaaff7e11853adc317af1970662
DIST rbs-3.6.1.tar.gz 1272668 BLAKE2B ac7980431b1db1916a796edf6e59918d96fab398db7f2a826dfc183bd5def34c2ac579c222c01ed6e38c68c79f92dfb375476df9b97a04d0150e2eb6dfced6d8 SHA512 fc60c3cad539baf941fb0672e2ff80c2de33585e117ef5752ca4dff215e782a3be42b80a6b49a7150c05ae365aa521745f7a65817ab4d26495d745713c29933b
DIST rbs-3.8.1.tar.gz 1295196 BLAKE2B 6821b1f1b35a326e4d89566ab7f7687018683da6a47b7f17e91605bf401624646a3fdea2e87d744bc3104d6282170f6b5fdc953d260f833976149089c3b43094 SHA512 e9ed09d493fac14f0aa9f1b97a440a2d424188cad3e4a4f62f5e1b5a34641e5c004b9de518327076bc0cf69d268391150ce74ca40ec36ac40964d87c9c7c1915
+DIST rbs-3.9.4.tar.gz 1308844 BLAKE2B fd614ab3c46637d5ff55948177d7932fddef823db930f6204c358bfbf8ed0d9fd9e97884350affa55e73f3314a769fdc14f8a3e6a5dd75725d560d2132a6d685 SHA512 fc81b03b3e57105164f0d1b76124b19344a95481eced4feda3eaf84009ca73f3d2aafd483813fdd2b0e0a544a670125094a11f680095e457339bcbcc14e74754
diff --git a/dev-ruby/rbs/rbs-3.9.4.ebuild b/dev-ruby/rbs/rbs-3.9.4.ebuild
new file mode 100644
index 000000000000..f16dbeae8b77
--- /dev/null
+++ b/dev-ruby/rbs/rbs-3.9.4.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_BINDIR="exe"
+
+RUBY_FAKEGEM_EXTRAINSTALL="core schema sig stdlib"
+RUBY_FAKEGEM_EXTENSIONS=(ext/rbs_extension/extconf.rb)
+
+RUBY_FAKEGEM_GEMSPEC="rbs.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="The language for type signatures for Ruby and standard library definitions"
+HOMEPAGE="https://github.com/ruby/rbs"
+SRC_URI="https://github.com/ruby/rbs/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( Ruby-BSD BSD-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_rdepend "dev-ruby/logger"
+
+ruby_add_bdepend "test? ( dev-ruby/bundler <dev-ruby/rdoc-6.12.0 dev-ruby/test-unit )"
+
+all_ruby_prepare() {
+ sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # We compile the extension directly
+ sed -i -e '/extensiontask/I s:^:#:' Rakefile || die
+
+ # Avoid JSON schema validation tests due to a large dependency stack
+ # that would be needed.
+ rm -f test/rbs/schema_test.rb || die
+
+ # Avoid setup tests since they require a lot of development dependencies.
+ rm -f test/rbs/test/runtime_test_test.rb || die
+
+ # Avoid subtract tests with additonal unpackaged dependencies
+ sed -i -e '/def test_subtract/aomit "Skipped due to additional dependencies"' test/rbs/cli_test.rb || die
+
+ # Avoid test that depends on rspec to avoid a huge dependency tree
+ # for dev-lang/ruby. This test is automagic but can still cause
+ # breakage when rspec is not properly installed, bug 935259
+ sed -e '/test_is_double/aomit "Avoid rspec dependency"' -i test/rbs/test/type_check_test.rb || die
+
+ # Avoid tests requiring a network connection
+ rm -f test/rbs/collection/installer_test.rb test/rbs/collection/collections_test.rb \
+ test/rbs/collection/config_test.rb test/rbs/collection/sources/git_test.rb || die
+ sed -i -e '/def test_collection_/aomit "Requires network"' test/rbs/cli_test.rb || die
+ sed -i -e '/def test_loading_from_rbs_collection/aomit "Requires network"' test/rbs/environment_loader_test.rb || die
+
+ sed -i -e '/def test_\(method\|paths\)/aomit "Different paths in Gentoo test environment"' test/rbs/cli_test.rb || die
+}
diff --git a/dev-ruby/rdoc/Manifest b/dev-ruby/rdoc/Manifest
index 649ce5873c61..6a5cb0c7dd61 100644
--- a/dev-ruby/rdoc/Manifest
+++ b/dev-ruby/rdoc/Manifest
@@ -1,3 +1,4 @@
+DIST rdoc-6.11.0.tar.gz 798268 BLAKE2B facb81a6da071e388260ad4ac04632fe3eb63790c20999bc14ba38668ef3dbaf473fd619629fb14067c3266a92d8abecdf1f507ad75c8e13615e14f4f96d49c0 SHA512 9433ca7dea0d75b539bf247204fe6e5926c1d46e31f8ea9b4fec89d2ba2d0b639e62de360526b15738762042e35aed21a58ea7d32d1f0469b4ce6ca116c545c5
DIST rdoc-6.13.1.tar.gz 799699 BLAKE2B a91799a74a97ebd7646aff6bf6a8866992fc9b5ed4cfa20c7e4441069fce62c8aa574da9d979a6baaae4d16f45705082955fc07d0df0630ab1e8e0f8e1f9aab0 SHA512 8c50e33ea192c61037bfb5a7118efe56c23f882f3c80cc78c18b0f2c7ae61a7da7cc18b6beb8ff2c4cf75764cbf33e4d56a090f5ecdb2ba1e91686b81531718e
DIST rdoc-6.14.0.tar.gz 802328 BLAKE2B 13d31b5ed5b7c1ed7cce0d4fc328dbca6d857c248b151d55fef0959395466744ed8f9dae9b3eb60a58783951125a762c878a697bf0f3e1a9e462cc64287b6073 SHA512 cbf69eb8abfee455a7090f7a6f767be2e3b1ee46a5effb86a97c1407a9fcd26c968c51af1ffc685add1c4e66e9fbe171aad4514a5fca9268b60fa0a732a0a8e7
DIST rdoc-6.8.1.tar.gz 794457 BLAKE2B d239d482e6f06604ceee39e493bf3151b44895c774c3f23dee2858acb012196e0ec6837bc22da5ad854d28b20043392a4e0cbab3cff7dddfaab3c13d03f94e23 SHA512 b355b79c010d2918701b5bb52a326b6e7e10e33c457db3ac9d07592b8b0ef7fa01257a590dbbc1d22f0bec585f02a995b05c3c348cd081dbd75af87da4e0d7d1
diff --git a/dev-ruby/rdoc/rdoc-6.11.0.ebuild b/dev-ruby/rdoc/rdoc-6.11.0.ebuild
new file mode 100644
index 000000000000..e4ae4a575902
--- /dev/null
+++ b/dev-ruby/rdoc/rdoc-6.11.0.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc RI.md TODO.rdoc"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_BINDIR="exe"
+
+RUBY_FAKEGEM_GEMSPEC="rdoc.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An extended version of the RDoc library from Ruby 1.8"
+HOMEPAGE="https://github.com/ruby/rdoc/"
+SRC_URI="https://github.com/ruby/rdoc/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 Ruby-BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc"
+
+RDEPEND=">=app-eselect/eselect-ruby-20181225"
+
+ruby_add_rdepend "
+ >=dev-ruby/psych-4.0.0
+"
+
+ruby_add_bdepend "
+ >=dev-ruby/kpeg-1.1.0-r1
+ >dev-ruby/racc-1.4.10
+ dev-ruby/rake
+ test? (
+ dev-ruby/bundler
+ >=dev-ruby/minitest-5.8:5
+ dev-ruby/test-unit-ruby-core
+ )"
+
+all_ruby_prepare() {
+ # Other packages also have use for a nonexistent directory, bug 321059
+ sed -i -e 's#/nonexistent#/nonexistent_rdoc_tests#g' test/rdoc/test_rdoc*.rb || die
+
+ # Avoid unneeded dependency on bundler, bug 603696
+ sed -i -e '/bundler/ s:^:#:' \
+ -e 's/Bundler::GemHelper.gemspec.full_name/"rdoc"/' \
+ -e '/rubocop\/rake/ s:^:#:' \
+ -e '/RuboCop/,/end/ s:^:#:' Rakefile || die
+
+ # Skip rubygems tests since the rubygems test case code is no longer installed by rubygems.
+ sed -i -e '/^task/ s/, :rubygems_test//' Rakefile || die
+
+ # Remove test that is depending on the locale, which we can't garantuee.
+ sed -i -e '/def test_encode_with/,/^ end/ s:^:#:' test/rdoc/test_rdoc_options.rb || die
+
+ # Remove test depending on FEATURES=userpriv, bug 361959
+ sed -i -e '/def test_check_files/,/^ end/ s:^:#:' test/rdoc/test_rdoc_options.rb || die
+
+ # Remove test depending on currently unpackaged prism
+ rm -f test/rdoc/test_rdoc_parser_prism_ruby.rb || die
+
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc ; then
+ ruby -S exe/rdoc --force-output || die
+ rm -f doc/js/*.gz || die
+ fi
+}
+
+each_ruby_compile() {
+ LANG=C.UTF-8 ${RUBY} -S rake generate || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ for bin in rdoc ri; do
+ ruby_fakegem_binwrapper $bin /usr/bin/$bin-2
+
+ for version in $(ruby_get_use_implementations); do
+ version=`echo ${version} | cut -c 5-`
+ if use ruby_targets_ruby${version}; then
+ ruby_fakegem_binwrapper $bin /usr/bin/${bin}${version}
+ sed -i -e "1s/env ruby/ruby${version}/" \
+ "${ED}/usr/bin/${bin}${version}" || die
+ fi
+ done
+ done
+}
+
+pkg_postinst() {
+ if [[ ! -n $(readlink "${ROOT}"/usr/bin/rdoc) ]] ; then
+ eselect ruby set $(eselect --brief --colour=no ruby show | head -n1)
+ fi
+}